package demo.filters;

import java.io.IOException;
import java.util.Calendar;
import java.util.GregorianCalendar;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebFilter;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.http.HttpServletRequest;

@WebFilter(
	      filterName="BackupFilter"
	    , urlPatterns={"/*"}
	    , initParams={@WebInitParam(name="desde",value="2")
	                 ,@WebInitParam(name="hasta",value="4")}
	)
	public class BackupFilter implements Filter
	{   
	   private int horaDesde=0;
	   private int horaHasta=0;
	   
	   public void init(FilterConfig fConfig)
	                                   throws ServletException
	   {
	      String sD = fConfig.getInitParameter("desde");
	      String sH = fConfig.getInitParameter("hasta");
	      horaDesde = Integer.parseInt(sD);
	      horaHasta = Integer.parseInt(sH);
	   }

   public void doFilter(ServletRequest request
                     , ServletResponse response
                     , FilterChain chain) throws 
                               IOException,ServletException
   {
       // obtejgo la hora actual 
      GregorianCalendar g = new GregorianCalendar();
      int h = g.get(Calendar.HOUR);
      int offset = g.get(Calendar.AM_PM)==Calendar.PM?12:0;
      int hora = h + offset;
      
       // casteo...
      HttpServletRequest req = (HttpServletRequest)request;

      if( hora>=2 && hora<4 )
      {  
         req.getRequestDispatcher("EnMantenimiento.jsp")
                               .forward(request,response);
      }
      else
      {
          // apruebo y doy paso al siguiente filter de la cadena
         chain.doFilter(request,response);   
      }
   }

   public void destroy()
   {
   }
}
