package demo.listener;

import java.sql.Connection;
import java.sql.DriverManager;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.servlet.annotation.WebListener;

@WebListener
public class EscuchaContexto implements ServletContextListener
{
   public void contextInitialized(ServletContextEvent e)
   {
      String url    = "jdbc:hsqldb:hsql://localhost/xdb";
      String driver = "org.hsqldb.jdbcDriver";
      String usr    = "sa";
      String pwd    = "";
      
      try
      {
         Connection con;  
         Class.forName(driver);
         con = DriverManager.getConnection(url,usr,pwd);
         
          // adjunto la conexion (ya instanciada) al contexto
         e.getServletContext().setAttribute("con",con);        
      }
      catch(Exception ex)
      {
         ex.printStackTrace();
         throw new RuntimeException(ex);
      }
   }

   public void contextDestroyed(ServletContextEvent e)
   {
      try
      {
         Connection con;
         ServletContext ctx = e.getServletContext();
         con = (Connection)ctx.getAttribute("con");
      
          // cierro la conexion cuando el contexto se destruye
         con.close();
      }
      catch(Exception ex)
      {
         ex.printStackTrace();
         throw new RuntimeException(ex);
      }
   }
}
