package demo.util;

import java.io.PrintWriter;

import javax.naming.Binding;
import javax.naming.Context;
import javax.naming.NameClassPair;
import javax.naming.NamingEnumeration;

public class JndiTreeInspector
{
   public static void inspect(
                          Context ctx
                        , String name
                        , PrintWriter out) throws Exception
   {
       // muestro el nombre del contexto por el stream
       // que me pasan como parametro
      out.println(name);
      out.flush();
      
      try
      {
          // obtengo el conjunto de nombres
         NamingEnumeration<Binding> e= ctx.listBindings(name);

          // itero la enumeracion 
         while(e.hasMoreElements())
         {
              // tomo el siguiente nombre
            NameClassPair pair = e.next();

             // invoco recursivamente 
            inspect(ctx,name+pair.getName()+"/",out);
         }
      }
      catch(Exception ex)
      {
         return;
      }
   }
}
