package domain;

import java.sql.Date;

import javax.persistence.Column;
import javax.persistence.Embeddable;

@Embeddable
public class TareaID
{
   @Column(name="id_emp")
   private int idEmp;

   @Column(name="id_proyecto")
   private int idProyecto;
   
   @Column(name="fecha")
   private Date fecha;
      
   @Override
   public boolean equals(Object obj)
   {
       // todo objeto es igual a si mismo 
      if(obj==this) return true;

       // ningun objeto es igual a null
      if(obj==null) return false;

       // si las clases no coinciden entonces son distintos
      if(getClass()!=obj.getClass()) return false;

       // solo resta comparar los atributos
      TareaID other=(TareaID)obj;

      if(idEmp!=other.idEmp) return false;
      if(idProyecto!=other.idProyecto) return false;
      if(fecha==null)
      {
         if(other.fecha!=null) return false;
      }
      else
      {
         if(!fecha.equals(other.fecha)) 
         {
            return false;
         }
      }   
      
      return true;
   }

   // hashCode, setters y getters
}
