package jeeafondo.model;

import java.util.List;

import javax.ejb.EJB;
import javax.ejb.Stateless;

import jeeafondo.model.dao.AlumnoDAO;
import jeeafondo.model.dao.CursoDAO;
import jeeafondo.model.dao.FormaPagoDAO;
import jeeafondo.model.dao.InscripcionDAO;
import jeeafondo.model.domain.Alumno;
import jeeafondo.model.domain.Curso;
import jeeafondo.model.domain.FormaPago;
import jeeafondo.model.domain.Inscripcion;

// imports...

@Stateless
public class FacadeBean
{
   @EJB private AlumnoDAO alumno;
   @EJB private InscripcionDAO inscripcion;
   @EJB private CursoDAO curso;
   @EJB private FormaPagoDAO formaPago;
   
   public Alumno identificarAlumno(int idAlumno)
   {
       // retorno lo que retorna el metodo buscar de AlumnoDAO
      return alumno.buscar(idAlumno);
   }
   
   public int registrarAlumno(Alumno a)
   {
       // retorna lo que retorna el metodo insertar de AlumnoDAO
      return alumno.insertar(a);
   }
   
   public List<Curso> obtenerCursos()
   {
       // retorno lo que retorna el metodo buscarTodos de CursoDAO
      return curso.buscarTodos();
   }

   public List<FormaPago> obtenerFormasPago(int idCurso)
   {
       // retorno lo que retorna el 
       // metodo buscarTodos de FormaPagoDAO
      return formaPago.buscarPor(idCurso);
   }
   
   public int registrarInscripcion(Alumno a
                                  ,int idCurso
                                  ,int idFormaPago)
   {
       // actualizo los datos del alumno
      alumno.actualizar(a);

       // preparo la instancia de inscripcion;
      Inscripcion i = new Inscripcion();
      i.setAlumno(a);

      Curso c = new Curso();
      c.setIdCurso(idCurso);
      i.setCurso(c);

      FormaPago f = new FormaPago();
      f.setIdFormaPago(idFormaPago);
      i.setFormaPago(f);

       // inserto la inscripcion
      return inscripcion.insertar(i);
   }
}
