package jeeafondo.web.ui;

import jeeafondo.webform.Button;
import jeeafondo.webform.ComboBox;
import jeeafondo.webform.Message;
import jeeafondo.webform.Screen;
import jeeafondo.webform.TextField;
import jeeafondo.webform.WebForm;
import jeeafondo.webform.annotations.Form;
import jeeafondo.webform.annotations.OnEvent;
import jeeafondo.webform.annotations.Validate;

@Form(page="index.jsp")
public class MyForm extends WebForm
{
	protected static final String PANTALLA_1="pantalla1";
	protected static final String PANTALLA_2="pantalla2";
	protected static final String PANTALLA_3="pantalla3";

	@Validate(regexp=TextField.INTEGER, error="Debe ingresar un valor numerico")
	protected TextField tfIdAlumno=new TextField();

	@OnEvent(method="ingresarAction", validate=true)
	protected Button bIngresar=new Button("Ingresar");

	@OnEvent(method="showScreen", value=PANTALLA_2)
	protected Button bRegistrar=new Button("Registrar");

	@Validate(regexp=TextField.NOT_EMPTY, error="Ingrese su nombre")
	protected TextField tfNombre=new TextField();

	@Validate(regexp=TextField.NOT_EMPTY, error="Ingrese su telefono")
	protected TextField tfTelefono=new TextField();

	@OnEvent(method="guardarAction", validate=true)
	protected Button bGuardar=new Button("Guardar");

	@OnEvent(method="seleccionaCursoAction")
	protected ComboBox cbCursos=new ComboBox();

	protected ComboBox cbFormasPago=new ComboBox();

	@OnEvent(method="showScreen", value=PANTALLA_1)
	protected Button bCancelar=new Button("Cancelar");

	@OnEvent(method="inscribirAction", validate=true)
	protected Button bInscribir=new Button("Inscribir");

	protected Message msgConsola=new Message();

	protected void _mkScreens()
	{
		// pantalla 1
		Screen s1=new Screen(PANTALLA_1);
		s1.addControl(tfIdAlumno,true);
		s1.addControl(bIngresar,true);
		s1.addControl(bRegistrar,true);
		s1.addControl(msgConsola,true);
		s1.addControl(tfNombre,false,"");
		s1.addControl(tfTelefono,false,"");
		s1.addControl(cbCursos,false);
		s1.addControl(cbFormasPago,false);
		s1.addControl(bCancelar,false);
		s1.addControl(bInscribir,false);
		s1.addControl(bGuardar,false);
		addScreen(s1);

		// pantalla 2
		Screen s2=new Screen(PANTALLA_2);
		s2.addControl(tfNombre,true,"");
		s2.addControl(tfTelefono,true,"");
		s2.addControl(bGuardar,true);
		s2.addControl(bCancelar,true);
		s2.addControl(msgConsola,true);
		s2.addControl(tfIdAlumno,false,"");
		s2.addControl(cbCursos,false);
		s2.addControl(cbFormasPago,false);
		s2.addControl(bIngresar,false);
		s2.addControl(bInscribir,false);
		s2.addControl(bRegistrar,false);
		addScreen(s2);

		// pantalla 3
		Screen s3=new Screen(PANTALLA_3);
		s3.addControl(tfIdAlumno,false);
		s3.addControl(tfNombre,false);
		s3.addControl(bIngresar,false);
		s3.addControl(bRegistrar,false);
		s3.addControl(bGuardar,false);
		s3.addControl(tfTelefono,true);
		s3.addControl(bInscribir,true);
		s3.addControl(bCancelar,true);
		s3.addControl(cbCursos,true);
		s3.addControl(cbFormasPago,true);
		s3.addControl(msgConsola,true);
		addScreen(s3);

		// mostramos la pantalla 1
		showScreen(PANTALLA_1);
	}

	public TextField getTfIdAlumno()
	{
		return tfIdAlumno;
	}

	public void setTfIdAlumno(TextField tfIdAlumno)
	{
		this.tfIdAlumno=tfIdAlumno;
	}

	public Button getBIngresar()
	{
		return bIngresar;
	}

	public void setBIngresar(Button bIngresar)
	{
		this.bIngresar=bIngresar;
	}

	public Button getBRegistrar()
	{
		return bRegistrar;
	}

	public void setBRegistrar(Button bRegistrar)
	{
		this.bRegistrar=bRegistrar;
	}

	public TextField getTfNombre()
	{
		return tfNombre;
	}

	public void setTfNombre(TextField tfNombre)
	{
		this.tfNombre=tfNombre;
	}

	public TextField getTfTelefono()
	{
		return tfTelefono;
	}

	public void setTfTelefono(TextField tfTelefono)
	{
		this.tfTelefono=tfTelefono;
	}

	public Button getBGuardar()
	{
		return bGuardar;
	}

	public void setBGuardar(Button bGuardar)
	{
		this.bGuardar=bGuardar;
	}

	public ComboBox getCbCursos()
	{
		return cbCursos;
	}

	public void setCbCursos(ComboBox cbCursos)
	{
		this.cbCursos=cbCursos;
	}

	public ComboBox getCbFormasPago()
	{
		return cbFormasPago;
	}

	public void setCbFormasPago(ComboBox cbFormasPago)
	{
		this.cbFormasPago=cbFormasPago;
	}

	public Button getBCancelar()
	{
		return bCancelar;
	}

	public void setBCancelar(Button bCancelar)
	{
		this.bCancelar=bCancelar;
	}

	public Button getBInscribir()
	{
		return bInscribir;
	}

	public void setBInscribir(Button bInscribir)
	{
		this.bInscribir=bInscribir;
	}

	public Message getMsgConsola()
	{
		return msgConsola;
	}

	public void setMsgConsola(Message msgConsola)
	{
		this.msgConsola=msgConsola;
	}

}
