package jeeafondo.web.ui;

import java.util.List;

import javax.naming.InitialContext;
import javax.servlet.http.HttpSession;

import jeeafondo.model.FacadeBean;
import jeeafondo.model.domain.Alumno;
import jeeafondo.model.domain.Curso;
import jeeafondo.model.domain.FormaPago;
import jeeafondo.webform.Message;

public class MyFormAction extends MyForm
{
	private FacadeBean facade=null;
	private Alumno alumno=null;

	@Override
	public void init(HttpSession session)
	{
		// creo las pantallas
		_mkScreens();

		try
		{
			// hago el lookup del facade
			String x="java:/openejb/local/FacadeBeanLocalBean";
			facade=(FacadeBean)(new InitialContext()).lookup(x);

			// obtengo la lista de cursos para completar el combo
			List<Curso> cursos=facade.obtenerCursos();
			cbCursos.addItems(cursos,"idCurso","descripcion");

			// completo el segundo combo con las formas de pago
			int idCurso=cursos.get(0).getIdCurso();
			List<FormaPago> fp=facade.obtenerFormasPago(idCurso);
			cbFormasPago.addItems(fp,"idFormaPago","descripcion");
		}
		catch(Exception ex)
		{
			ex.printStackTrace();
			throw new RuntimeException(ex);
		}
	}

	@Override
	public boolean validate()
	{
		// valor ingresado por el usuario
		String sId=tfIdAlumno.getValue();

		if(sId.length()>0)
		{
			int idAlumno=Integer.parseInt(sId);

			// guardo el objeto en la variable de instancia
			alumno=facade.identificarAlumno(idAlumno);

			if(alumno==null)
			{
				addError(tfIdAlumno,"No existe el alumno");
				return false;
			}
		}

		return true;
	}

	public void guardarAction()
	{
		// instancio un alumno
		Alumno a=new Alumno();
		a.setNombre(tfNombre.getValue());
		a.setTelefono(tfTelefono.getValue());

		// registro al alumno
		int idAlumno=facade.registrarAlumno(a);

		// muestro el mensaje de exito en la consola
		String mssg="Operacion exitosamente: id="+idAlumno;
		msgConsola.setType(Message.SUCCESS);
		msgConsola.setValue(mssg);

		// regreso a la pantalla 1
		showScreen(PANTALLA_1);
	}

	public void ingresarAction()
	{
		// seteo lo valores para la siguiente pantalla
		tfNombre.setValue(alumno.getNombre());
		tfTelefono.setValue(alumno.getTelefono());

		// paso a la siguiente pantalla
		showScreen(PANTALLA_3);
	}

	public void inscribirAction()
	{
		// obtengo el idCurso
		int idCurso=Integer.parseInt(cbCursos.getValue());

		// obtengo el idFormaPago
		int idFormaPago=Integer.parseInt(cbFormasPago.getValue());

		// obtengo el telefono (que puede estar modificado)
		String telefono=tfTelefono.getValue();

		// le asigno al alumno su nuevo numero de telefono
		alumno.setTelefono(telefono);

		// registro la inscripcion
		int idi=facade.registrarInscripcion(alumno,idCurso,idFormaPago);

		// muestro un mensaje en la consola
		msgConsola.setType(Message.SUCCESS);
		msgConsola.setValue("Inscripcion OK. Nro: "+idi);

		// regreso a la pantalla 1
		showScreen(PANTALLA_1);
	}

	public void seleccionaCursoAction()
	{
		int idC=Integer.parseInt(cbCursos.getValue());
		List<FormaPago> items=facade.obtenerFormasPago(idC);

		cbFormasPago.removeItems();
		cbFormasPago.addItems(items,"idFormaPago","descripcion");
	}
}
