package jeeafondo.webform;

import java.util.List;
import java.util.Vector;

public class ListBox extends EventWebComponent
{
	private Vector<ListBoxItem> items;
	private int size;
	
	public int getSize()
	{
		return size;
	}
	
	public boolean contains(String item)
	{
		return items.contains(item);
	}

	public void setSize(int size)
	{
		this.size=size;
	}

	public ListBox(int size)
	{
		items = new Vector<>();
		this.size = size;
	}
	
	public void addItem(String value)
	{
		items.add(new ListBoxItem(value,value));
	}

	public void addItem(String value, String descripcion)
	{
		items.add(new ListBoxItem(value,descripcion));
	}
	
	@Override
	public String toString()
	{
		String f = getPathOnEvent();
		String x = "document."+getFormName()+".action=\""+f+"\";";
		String y = "this.form.submit()";
		String z = x+y;
		String onch = getPathOnEvent()!=null?" onchange='"+z+"'":"";
		String enabled = isEnabled()?"":" disabled ";
		String s = "<select "+enabled+" name='"+getName()+"' style='width: 100%' "+onch+" size='"+size+"'>";
		for(ListBoxItem item:items)
		{
			String sSelected="";
			if( getValue().equals(item.getValue()) )
			{
				sSelected = " selected ";
			}
			s+="<option value='"+item.getValue()+"' "+sSelected+">"+item.getDescription()+"</option>";
		}
		s+="</select>";
		s+=isEnableValidations()&&isEnabled()?"<input type='hidden' name='"+getFormName()+".enableValidations' value='"+getPathOnEvent()+"'>":"";
		
		return s;
	}

	public void addItems(List<?> items, String attId, String attDesc)
	{
		for(Object item:items)
		{
			String value=UBean.invokeGetter(item,attId).toString();
			String desc = UBean.invokeGetter(item,attDesc).toString();
			addItem(value,desc);
		}
	}

	public void removeItems()
	{
		items.removeAllElements();
	}
	
	public void removeSelectedItem()
	{
		removeItem(getValue());
	}
	
	public void removeItem(String item)
	{
		int i;
		for(i=0; i<items.size(); i++)
		{
			if(items.get(i).equals(item))
			{
				break;
			}
		}
		
		items.remove(i);
	}
}
