package jeeafondo.webform;

import java.util.Enumeration;
import java.util.Hashtable;

public class Screen
{
	private String name;
	private Hashtable<WebControl,WCState> states;
	
	public Screen(String name)
	{
		this.setName(name);
		states = new Hashtable<>();
	}
	
	public void applyStates()
	{		
		for(Enumeration<WebControl> e = states.keys(); e.hasMoreElements();)
		{
			WebControl wc = e.nextElement();
			WCState s = states.get(wc);
			wc.setEnabled(s.state);
			
			if( s.value!=null  )
			{
				wc.setValue(states.get(wc).value);
			}
		}
	}
	public void addControl(WebControl w,boolean b)
	{
		addControl(w,b,null);
	}
	
	public void addControl(WebControl w,boolean b,String v)
	{
		WCState wcs= new WCState();
		wcs.state=b;
		wcs.value=v;
		states.put(w,wcs);
	}

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}
	
	class WCState
	{
		public boolean state;
		public String value;
	}
}
