package jeeafondo.webform;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public abstract class ValidableWebControl extends WebControl
{
	private Pattern pattern;
	private String errorMessage;
	
	public ValidableWebControl()
	{
		this("*","");
	}
	
	public ValidableWebControl(String regex, String emssg)
	{
		pattern = Pattern.compile(regex);
		errorMessage = emssg;
	}
	
	public boolean validate()
	{
		Matcher m = pattern.matcher(getValue());
		return m.matches();
	}
	
	public void setRegexp(String regexp)
	{
		pattern = Pattern.compile(regexp);
	}

	void setErrorMessage(String s)
	{
		errorMessage = s;
	}
	
	String getErrorMessage()
	{
		return errorMessage;
	}
}
